Skip to main content
GET
/
v1
/
instagram
/
user
/
posts
Get User Posts
curl --request GET \
  --url https://api.scraper.creatorlookup.com/v1/instagram/user/posts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "shortcode": "<string>",
      "caption": {},
      "timestamp": 123,
      "like_count": 123,
      "comment_count": 123,
      "media_type": "<string>",
      "media_url": "<string>",
      "thumbnail_url": {},
      "is_video": true,
      "video_view_count": {},
      "location": {},
      "tagged_users": [
        "<string>"
      ],
      "hashtags": [
        "<string>"
      ]
    }
  ],
  "credits_used": 123,
  "credits_remaining": 123
}

Request

Headers

NameRequiredDescription
x-api-keyYesYour API key

Query parameters

username
string
required
The Instagram username to fetch posts from.
limit
number
default:12
Number of posts to return. Min: 1, max: 50. Defaults to 12.

Response

data
InstagramPost[]
Array of post objects.
credits_used
number
Credits deducted (2)
credits_remaining
number
Remaining credit balance
Cost: 2 credits

Examples

curl -H "x-api-key: sk-your-api-key" \
  "https://api.scraper.creatorlookup.com/v1/instagram/user/posts?username=instagram&limit=3"

200 — Success

{
  "data": [
    {
      "shortcode": "CxAbCdEfGh",
      "caption": "Welcome to Instagram! #photography",
      "timestamp": 1700000000,
      "like_count": 150000,
      "comment_count": 2500,
      "media_type": "image",
      "media_url": "https://scontent.cdninstagram.com/...",
      "thumbnail_url": null,
      "is_video": false,
      "video_view_count": null,
      "location": "New York, New York",
      "tagged_users": ["photographer"],
      "hashtags": ["photography"]
    }
  ],
  "credits_used": 2,
  "credits_remaining": 9998
}

402 — Insufficient credits

{
  "error": {
    "code": "INSUFFICIENT_CREDITS",
    "message": "This endpoint requires 2 credits, you have 1"
  }
}